package com.palmnest.model.notice;

import java.io.Serializable;
import java.util.Date;

public class PublicMsgModel implements Serializable {

	/**
	 *
	 */
	private static final long serialVersionUID = 7189884814450391314L;

	private Integer id;
	private String  title;
	private Date    createTime;
	private Integer state;
	private String  content;
	private String  creator;
	private String  wxpublicNo;
	private Integer person_quantity;
	private Integer msg_quantity;
	private String  from_email;
	private String  f_quantity;
	private String  approval_user;
	private Date    approval_time;
	private Date    url_address;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Integer getState() {
		return state;
	}

	public void setState(Integer state) {
		this.state = state;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	public String getWxpublicNo() {
		return wxpublicNo;
	}

	public void setWxpublicNo(String wxpublicNo) {
		this.wxpublicNo = wxpublicNo;
	}

	public Integer getPerson_quantity() {
		return person_quantity;
	}

	public void setPerson_quantity(Integer person_quantity) {
		this.person_quantity = person_quantity;
	}

	public Integer getMsg_quantity() {
		return msg_quantity;
	}

	public void setMsg_quantity(Integer msg_quantity) {
		this.msg_quantity = msg_quantity;
	}

	public String getFrom_email() {
		return from_email;
	}

	public void setFrom_email(String from_email) {
		this.from_email = from_email;
	}

	public String getF_quantity() {
		return f_quantity;
	}

	public void setF_quantity(String f_quantity) {
		this.f_quantity = f_quantity;
	}

	public String getApproval_user() {
		return approval_user;
	}

	public void setApproval_user(String approval_user) {
		this.approval_user = approval_user;
	}

	public Date getApproval_time() {
		return approval_time;
	}

	public void setApproval_time(Date approval_time) {
		this.approval_time = approval_time;
	}

	public Date getUrl_address() {
		return url_address;
	}

	public void setUrl_address(Date url_address) {
		this.url_address = url_address;
	}


}
